import org.gjt.sp.jedit.*;
import java.util.*;
import javax.swing.*;

public class TSAbbrevs {
	
	static Hashtable globalAbbrevs = Abbrevs.getGlobalAbbrevs();
	static Hashtable modes = Abbrevs.getModeAbbrevs();;
	
//	TSAbbrevs() {
//		globalAbbrevs = Abbrevs.getGlobalAbbrevs();
//		modes = Abbrevs.getModeAbbrevs();
//		System.out.println("Message from constructor");
//	}
	
	public static String addAbbrev(View view, String abbrev)
	{
		String[] args = { abbrev };
		JTextField textField = new JTextField();
		Object[] message = {
			jEdit.getProperty("add-abbrev.message",args),
			textField };
		Object[] options = { jEdit.getProperty("add-abbrev.global"),
			jEdit.getProperty("add-abbrev.mode"),
			jEdit.getProperty("common.cancel") };

		int retVal = JOptionPane.showOptionDialog(view,message,
			jEdit.getProperty("add-abbrev.title"),
			JOptionPane.YES_NO_OPTION,
			JOptionPane.QUESTION_MESSAGE,
			null,options,options[0]);
//		System.out.println(retVal);
		String expand = textField.getText();
//		System.out.println(expand);
		if(expand == null || (retVal != 0 && retVal != 1))
			return abbrev;

		if(retVal == 1)
		{
			String mode = view.getBuffer().getMode().getName();
			Hashtable modeAbbrevs = (Hashtable)modes.get(mode);
			if(modeAbbrevs == null)
			{
				modeAbbrevs = new Hashtable();
				modes.put(mode,modeAbbrevs);
			}
			modeAbbrevs.put(abbrev,expand);
		}
		else
			globalAbbrevs.put(abbrev,expand);

//		expandAbbrev(view,false);
		return expand;
	}

}
